Elastic Kubernetes Service

No se puede actualizar el EKS

Hi,

Tengo un cluster EKS con la versión 1.16 e intento actualizar a la 1.17 pero falla con el siguiente error debido a que falta el grupo de seguridad por defecto (eliminado)

2021-11-13 09:19:19 actualizará el plano de control del clúster "xxx" de la versión actual "1.16" a "1.17" Error: InvalidRequestException: el grupo de seguridad 'sg-0fdxxx' no existe (Servicio: AmazonEC2; Estado Código: 400; Código de error: InvalidGroup.NotFound; ID de solicitud: xxx-xxx-xxx-xxx-xxx; Proxy: nulo)

Parece que no hay otra forma de actualizarlo,así que espero la actualización forzada de AWS cuando llegue la fecha de fin de soporte.Sin embargo,no ha ocurrido nada.Así que me gustaría preguntar si hay alguna manera de restaurar el antiguo grupo de seguridad o eliminar el predeterminado en el clúster actual para permitir la actualización o no

Thanks

Si este era el grupo de seguridad del plano de control, no creo que pueda modificarlo y no podrá volver a crear la ID del grupo de seguridad. Su mejor opción en este punto es reconstruir el clúster. Consulte también: https://github.com/aws/containers-roadmap/issues/738




Sí,ya vi ese tema hace tiempo.Sin embargo,mi clúster aquí es de producción y se necesitará más esfuerzo para reconstruir y migrar todas las cosas allí.También me pregunto por qué no se produce la actualización forzada.Por lo menos,puedo tratar de programar el tiempo de inactividad para esto